# Uses of Interface
org.springframework.beans.factory.aot.AutowiredArguments

Packages that use AutowiredArguments
Package
Description
org.springframework.beans.factory.aot
AOT support for bean factories.

## Uses of AutowiredArguments in org.springframework.beans.factory.aot

Methods in org.springframework.beans.factory.aot that return AutowiredArguments
Modifier and Type
Method
Description
`static AutowiredArguments`
AutowiredArguments.`of(Object[] arguments)`
Factory method to create a new `AutowiredArguments` instance from the given object array.
`AutowiredArguments`
AutowiredMethodArgumentsResolver.`resolve(RegisteredBean registeredBean)`
Resolve the method arguments for the specified registered bean.
Method parameters in org.springframework.beans.factory.aot with type arguments of type AutowiredArguments
Modifier and Type
Method
Description
`void`
AutowiredMethodArgumentsResolver.`resolve(RegisteredBean registeredBean, org.springframework.util.function.ThrowingConsumer<AutowiredArguments> action)`
Resolve the method arguments for the specified registered bean and provide it to the given action.
`BeanInstanceSupplier<T>`
BeanInstanceSupplier.`withGenerator(org.springframework.util.function.ThrowingBiFunction<RegisteredBean,AutowiredArguments,T> generator)`
Return a new `BeanInstanceSupplier` instance that uses the specified `generator` bi-function to instantiate the underlying bean.